Name:           fastjet
Version:        3.4.0
Release:        1%{?dist}
Summary:        Software package for jet finding in pp and e+e- collisions

License:        GPLv2+
URL:            https://fastjet.fr
Source0:        https://fastjet.fr/repo/fastjet-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  python-devel

%package devel

Summary:        Development files and headers for fastjet

%package -n python3-fastjet

Summary:        Python interface to fastjet

%description
A software package for jet finding in pp and e+e− collisions.
It includes fast native implementations of many sequential
recombination clustering algorithms, plugins for access to a
range of cone jet finders and tools for advanced jet manipulation.

%description devel
Development files and headers for fastjet.

%description -n python3-fastjet
Python interface for fastjet.

%prep
%autosetup


%build
%configure --enable-pyext --enable-static=no
%make_build

%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{python3_sitearch}/*.la

%files
%license COPYING
%doc README
%{_libdir}/libfastjet.so.0.0.0
%{_libdir}/libfastjet.so.0
%{_libdir}/libfastjettools.so.0.0.0
%{_libdir}/libfastjettools.so.0
%{_libdir}/libfastjetplugins.so.0.0.0
%{_libdir}/libfastjetplugins.so.0
%{_libdir}/libsiscone.so.0.0.0
%{_libdir}/libsiscone.so.0
%{_libdir}/libsiscone_spherical.so.0.0.0
%{_libdir}/libsiscone_spherical.so.0

%files devel
%{_bindir}/fastjet-config
%{_libdir}/libfastjet.so
%{_libdir}/libfastjettools.so
%{_libdir}/libfastjetplugins.so
%{_libdir}/libsiscone.so
%{_libdir}/libsiscone_spherical.so
%{_includedir}/fastjet
%{_includedir}/siscone

%files -n python3-fastjet
%pycached %{python3_sitelib}/fastjet.py
%{python3_sitearch}/*_fastjet.so*
%{_datadir}/fastjet

%changelog
* Tue Nov 01 2022 Ben Rosser <rosser.bjr@gmail.com> 3.4.0-1
- Initial package
